package de.renew.ptchannel.single;

import org.junit.jupiter.api.Test;

import de.renew.shadowcompiler.ShadowCompiler;

import static org.junit.jupiter.api.Assertions.assertInstanceOf;

/**
 * @author 1lopes
 */
public class PTNetWithChannelCompilerTest {

    @Test
    void testCreateCompiler() {
        //given
        PTNetWithChannelCompiler factory = new PTNetWithChannelCompiler();

        //when
        ShadowCompiler compiler = factory.createCompiler();

        //then
        assertInstanceOf(SinglePTNetWithChannelCompiler.class, compiler);
    }
}